summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSenthil Kumaran <senthil.kumaran@linaro.org>2012-12-17 19:32:06 +0530
committerSenthil Kumaran <senthil.kumaran@linaro.org>2012-12-17 19:32:06 +0530
commit412349721fc6113194a1bfcb4b0761031faf07b7 (patch)
treec860aabff6b4b7dec66e89cdb36eddd2267b4c1f
parent8eb45aeff44940003c485701dd0c2e11344cb3be (diff)
Move test definitions to OS specific folders.
-rw-r--r--android/busybox.yaml13
-rwxr-xr-xandroid/scripts/busybox.sh56
-rw-r--r--ubuntu/bluetooth-enablement.yaml (renamed from bluetooth-enablement.yaml)0
-rw-r--r--ubuntu/bootchart.yaml (renamed from bootchart.yaml)0
-rw-r--r--ubuntu/device-tree.yaml (renamed from device-tree.yaml)0
-rw-r--r--ubuntu/e2eaudiotest.yaml (renamed from e2eaudiotest.yaml)0
-rw-r--r--ubuntu/gatortests.yaml (renamed from gatortests.yaml)0
-rw-r--r--ubuntu/leb-basic-graphics.yaml (renamed from leb-basic-graphics.yaml)0
-rw-r--r--ubuntu/perf.yaml (renamed from perf.yaml)0
-rw-r--r--ubuntu/pwrmgmt.yaml (renamed from pwrmgmt.yaml)0
-rw-r--r--ubuntu/wifi-enablement.yaml (renamed from wifi-enablement.yaml)0
11 files changed, 69 insertions, 0 deletions
diff --git a/android/busybox.yaml b/android/busybox.yaml
new file mode 100644
index 0000000..16369af
--- /dev/null
+++ b/android/busybox.yaml
@@ -0,0 +1,13 @@
+metadata:
+ name: busybox
+ version: 1.0
+ format: "Lava-Test-Shell Test Definition 1.0"
+
+install:
+ git-repos:
+ - git://git.linaro.org/ubuntu/test-definitions.git
+
+run:
+ steps:
+ - "cd test-definitions/android/scripts"
+ - "lava-test-case ./busybox.sh --result pass"
diff --git a/android/scripts/busybox.sh b/android/scripts/busybox.sh
new file mode 100755
index 0000000..076102a
--- /dev/null
+++ b/android/scripts/busybox.sh
@@ -0,0 +1,56 @@
+#!/system/bin/sh
+#
+# Busybox test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+test_func(){
+ if [ ! -f /system/bin/busybox ]; then
+ echo "busybox=unexist"
+ exit
+ fi
+
+ if /system/bin/busybox [ $# -lt 1 ]; then
+ return 0
+ fi
+ test_cmd=$1
+ /system/bin/busybox "$@" 1>/dev/null 2>/dev/null
+ if /system/bin/busybox [ $? -ne 0 ]; then
+ echo "${test_cmd}=fail"
+ else
+ echo "${test_cmd}=pass"
+ fi
+}
+
+rm -r /data/busybox 1>/dev/null 2>/dev/null
+
+test_func mkdir /data/busybox
+test_func touch /data/busybox/test.txt
+test_func ls /data/busybox/test.txt
+test_func ps
+test_func whoami
+test_func which busybox
+test_func basename /data/busybox/test.txt
+test_func cp /data/busybox/test.txt /data/busybox/test2.txt
+test_func rm /data/busybox/test2.txt
+test_func dmesg
+test_func grep service /init.rc
+
+rm -r /data/busybox 1>/dev/null 2>/dev/null
diff --git a/bluetooth-enablement.yaml b/ubuntu/bluetooth-enablement.yaml
index 5944032..5944032 100644
--- a/bluetooth-enablement.yaml
+++ b/ubuntu/bluetooth-enablement.yaml
diff --git a/bootchart.yaml b/ubuntu/bootchart.yaml
index f8b3f5c..f8b3f5c 100644
--- a/bootchart.yaml
+++ b/ubuntu/bootchart.yaml
diff --git a/device-tree.yaml b/ubuntu/device-tree.yaml
index e6d7619..e6d7619 100644
--- a/device-tree.yaml
+++ b/ubuntu/device-tree.yaml
diff --git a/e2eaudiotest.yaml b/ubuntu/e2eaudiotest.yaml
index 24ea63c..24ea63c 100644
--- a/e2eaudiotest.yaml
+++ b/ubuntu/e2eaudiotest.yaml
diff --git a/gatortests.yaml b/ubuntu/gatortests.yaml
index 275c2c2..275c2c2 100644
--- a/gatortests.yaml
+++ b/ubuntu/gatortests.yaml
diff --git a/leb-basic-graphics.yaml b/ubuntu/leb-basic-graphics.yaml
index 0f7e235..0f7e235 100644
--- a/leb-basic-graphics.yaml
+++ b/ubuntu/leb-basic-graphics.yaml
diff --git a/perf.yaml b/ubuntu/perf.yaml
index e433c71..e433c71 100644
--- a/perf.yaml
+++ b/ubuntu/perf.yaml
diff --git a/pwrmgmt.yaml b/ubuntu/pwrmgmt.yaml
index f59ea71..f59ea71 100644
--- a/pwrmgmt.yaml
+++ b/ubuntu/pwrmgmt.yaml
diff --git a/wifi-enablement.yaml b/ubuntu/wifi-enablement.yaml
index 6c3a0ed..6c3a0ed 100644
--- a/wifi-enablement.yaml
+++ b/ubuntu/wifi-enablement.yaml